# OpenLayers.Layer.KaMap

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.KaMap |
Properties |
isBaseLayer | {Boolean} KaMap Layer is always a base layer
Constants |
DEFAULT_PARAMS | {Object} parameters set by default.
Constructor |
OpenLayers.Layer.KaMap |
Functions |
clone |
getTileBounds | Returns The tile bounds for a layer given a pixel location.

### Properties

### isBaseLayer

{Boolean} KaMap Layer is always a base layer

### Constants

### DEFAULT_PARAMS

{Object} parameters set by default. The default parameters set the format via the ‘i’ parameter to ‘jpeg’.

### Constructor

### OpenLayers.Layer.KaMap

#### Parameters

name | {String}
url | {String}
params | {Object} Parameters to be sent to the HTTP server in the query string for the tile. The format can be set via the ‘i’ parameter (defaults to jpg) , and the map should be set via the ‘map’ parameter. It has been reported that ka-Map may behave inconsistently if your format parameter does not match the format parameter configured in your config.php. (See ticket #327 for more information.)
options | {Object} Additional options for the layer. Any of the APIProperties listed on this layer, and any layer types it extends, can be overridden through the options parameter.

### Functions

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{<OpenLayers.Layer.Kamap>} An exact clone of this OpenLayers.Layer.KaMap

### getTileBounds

> getTileBounds: function( | viewPortPx | )

Returns The tile bounds for a layer given a pixel location.

#### Parameters

viewPortPx | {OpenLayers.Pixel} The location in the viewport.

#### Returns

{OpenLayers.Bounds} Bounds of the tile at the given pixel location.

> clone: function ( | obj | )

> getTileBounds: function( | viewPortPx | )

Returns The tile bounds for a layer given a pixel location.
This class represents a screen coordinate, in x and y coordinates
Instances of this class represent bounding boxes.
Close